import React, { useState } from "react";
import { PayPalScriptProvider, PayPalButtons, FUNDING } from "@paypal/react-paypal-js";

const initialOptions = {
  "client-id": "AfXKJOXmvSNSIIAxR_Vx6sTcmkrKRcVBug-cz2FV7KXEwVGzpISqfdwQHdmfR1pdvQ9Wml75fnoq1MYH",
  currency: "USD",
  intent: "capture"
}


const PayPal = () => {

  const createOrder = (data, actions) => {
    return actions.order.create({
      purchase_units: [{
        amount: {
          currency_code: "USD",
          value: 55,
        }
      }]
    });
  }
  
  const onApprove = (data, actions) => {
    return actions.order.capture().then(function(details) {
      alert('Transaction completed by ' + details.payer.name.given_name);
    });
  }

  return (
    <>
      <div className="container">
        <PayPalScriptProvider options={initialOptions}>
          <div style={{ maxWidth: "80px" }}>
            <PayPalButtons
              fundingSource={FUNDING.PAYPAL}
              style={{ height: 25 }}
              createOrder={createOrder}
              onApprove={onApprove}
            />
          </div>
        </PayPalScriptProvider>
      </div>
    </>
  );
};

export default PayPal;
